Bug 806244 - [abrt] kde-workspace-4.8.1-6.fc16: KCrash::defaultCrashHandler: Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
[abrt] kde-workspace-4.8.1-6.fc16: KCrash::defaultCrashHandler: Process /usr/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kde-workspace (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:474b89cbc393f815a3f95b09c0a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 05:53 EDT by Frans-Jan van Steenbeek
Modified: 2013-02-13 18:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:29:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.62 KB, text/plain)
2012-03-23 05:54 EDT, Frans-Jan van Steenbeek
no flags Details
File: xsession_errors (25.56 KB, text/plain)
2012-03-23 05:54 EDT, Frans-Jan van Steenbeek
no flags Details
File: maps (108.44 KB, text/plain)
2012-03-23 05:54 EDT, Frans-Jan van Steenbeek
no flags Details
File: dso_list (26.52 KB, text/plain)
2012-03-23 05:54 EDT, Frans-Jan van Steenbeek
no flags Details
File: backtrace (41.92 KB, text/plain)
2012-03-30 00:16 EDT, David M.
no flags Details

  None (edit)
Description Frans-Jan van Steenbeek 2012-03-23 05:53:59 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/plasma-desktop --nocrashhandler
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasma-desktop
kernel:         3.3.0-4.fc16.x86_64
pid:            3860
pwd:            /home/fransjan/Documents
reason:         Process /usr/bin/plasma-desktop was killed by signal 11 (SIGSEGV)
time:           Fri 23 Mar 2012 10:10:09 AM CET
uid:            1000
username:       fransjan

backtrace:      Text file, 46718 bytes
dso_list:       Text file, 27158 bytes
maps:           Text file, 111038 bytes
xsession_errors: Text file, 26178 bytes

comment:
:This is a laptop, once I plugged it in to it's dock, it switched to my dual-screen setup. This went well, but the screen that shows "Search and Launch" was messed up a bit (a problem that frequently occurs).
:
:I then opened "Configure Search and Launch" to switch it to "Desktop" and then back again. As soon as I switched it to "Desktop", plasma crashed.
:
:This happened yesterday as well, so I'm fairly sure that when I try to switch it back to "Search and Launch", it will crash again. This seems to have to do with the systemtray widget (which is the only widget on my desktop), once I remove that one I can safely switch the layout and re-add the widget later.

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1729
:DM_CONTROL=/var/run/xdmctl
:HOSTNAME=l119.spil.local
:XDG_MENU_PREFIX=kde4-
:SHELL=/bin/zsh
:XDM_MANAGED=method=classic
:XDG_SESSION_COOKIE=2fda29e1a23d2b82e39e931600000010-1332431785.311679-1440621777
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/fransjan/.gtkrc-2.0:/home/fransjan/.gtkrc-2.0-kde4:/home/fransjan/.kde/share/config/gtkrc-2.0
:GS_LIB=
:KDE_FULL_SESSION=true
:USER=fransjan
:SSH_AUTH_SOCK=/tmp/ssh-sxASBmuE1698/agent.1698
:PATH=/usr/NX/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/home/fransjan/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/fransjan
:NXDIR=/usr/NX
:PWD=/home/fransjan
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HISTCONTROL=ignoredups
:HOME=/home/fransjan
:XDG_SEAT=seat0
:SHLVL=1
:KDE_SESSION_VERSION=4
:LOGNAME=fransjan
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2BCUdcMno9,guid=5f99a18b3a06be6fd3f40bae0000009e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/fransjan
:QT_PLUGIN_PATH=/home/fransjan/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-fransjan/xauth-1000-_0
:_=/usr/libexec/kde4/start_kdeinit_wrapper
:KDE_MULTIHEAD=false
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1841,unix/unix:/tmp/.ICE-unix/1841
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/fransjan/.gtkrc:/home/fransjan/.kde/share/config/gtkrc
:XCURSOR_THEME=default

event_log:
:2012-03-23-10:13:33> Querying server settings
:2012-03-23-10:13:34  Preparing an archive to upload
:2012-03-23-10:13:53  You are going to upload 20 megabytes.Continue? YES
:2012-03-23-10:13:53  Uploading 20 megabytes
:2012-03-23-10:14:03  Uploading 63%
:2012-03-23-10:14:07  Upload successful
:2012-03-23-10:14:11  Retrace job started
:2012-03-23-10:14:21  Analyzing crash data
:2012-03-23-10:14:32  Analyzing crash data
:2012-03-23-10:14:43  Analyzing crash data
:2012-03-23-10:14:54  Initializing virtual root
:2012-03-23-10:15:04  Initializing virtual root
:2012-03-23-10:15:15  Initializing virtual root
:2012-03-23-10:15:26  Initializing virtual root
:2012-03-23-10:15:36  Initializing virtual root
:2012-03-23-10:15:47  Initializing virtual root
:2012-03-23-10:15:58  Initializing virtual root
:2012-03-23-10:16:08  Initializing virtual root
:2012-03-23-10:16:19  Initializing virtual root
:2012-03-23-10:16:29  Initializing virtual root
:2012-03-23-10:16:40  Initializing virtual root
:2012-03-23-10:16:51  Initializing virtual root
:2012-03-23-10:17:01  Initializing virtual root
:2012-03-23-10:17:12  Initializing virtual root
:2012-03-23-10:17:22  Initializing virtual root
:2012-03-23-10:17:33  Initializing virtual root
:2012-03-23-10:17:44  Initializing virtual root
:2012-03-23-10:17:54  Initializing virtual root
:2012-03-23-10:18:05  Initializing virtual root
:2012-03-23-10:18:15  Initializing virtual root
:2012-03-23-10:18:26  Initializing virtual root
:2012-03-23-10:18:37  Initializing virtual root
:2012-03-23-10:18:47  Initializing virtual root
:2012-03-23-10:18:58  Initializing virtual root
:2012-03-23-10:19:08  Initializing virtual root
:2012-03-23-10:19:19  Initializing virtual root
:2012-03-23-10:19:30  Initializing virtual root
:2012-03-23-10:19:40  Initializing virtual root
:2012-03-23-10:19:51  Initializing virtual root
:2012-03-23-10:20:02  Initializing virtual root
:2012-03-23-10:20:12  Initializing virtual root
:2012-03-23-10:20:23  Initializing virtual root
:2012-03-23-10:20:34  Initializing virtual root
:2012-03-23-10:20:44  Initializing virtual root
:2012-03-23-10:20:55  Initializing virtual root
:2012-03-23-10:21:05  Initializing virtual root
:2012-03-23-10:21:16  Initializing virtual root
:2012-03-23-10:21:27  Initializing virtual root
:2012-03-23-10:21:38  Initializing virtual root
:2012-03-23-10:21:49  Initializing virtual root
:2012-03-23-10:22:00  Initializing virtual root
:2012-03-23-10:22:10  Initializing virtual root
:2012-03-23-10:22:21  Initializing virtual root
:2012-03-23-10:22:31  Initializing virtual root
:2012-03-23-10:22:42  Initializing virtual root
:2012-03-23-10:22:53  Initializing virtual root
:2012-03-23-10:23:03  Initializing virtual root
:2012-03-23-10:23:14  Initializing virtual root
:2012-03-23-10:23:24  Initializing virtual root
:2012-03-23-10:23:35  Initializing virtual root
:2012-03-23-10:23:46  Initializing virtual root
:2012-03-23-10:23:56  Initializing virtual root
:2012-03-23-10:24:07  Initializing virtual root
:2012-03-23-10:24:17  Initializing virtual root
:2012-03-23-10:24:28  Initializing virtual root
:2012-03-23-10:24:38  Initializing virtual root
:2012-03-23-10:24:49  Initializing virtual root
:2012-03-23-10:25:00  Initializing virtual root
:2012-03-23-10:25:10  Initializing virtual root
:2012-03-23-10:25:21  Initializing virtual root
:2012-03-23-10:25:31  Initializing virtual root
:2012-03-23-10:25:42  Initializing virtual root
:2012-03-23-10:25:53  Initializing virtual root
:2012-03-23-10:26:03  Initializing virtual root
:2012-03-23-10:26:14  Initializing virtual root
:2012-03-23-10:26:24  Generating backtrace
:2012-03-23-10:26:35  Cleaning up virtual root
:2012-03-23-10:26:46  Retrace job finished successfully
:2012-03-23-10:36:23> Element 'xsession_errors' saved
:2012-03-23-10:36:24> Smolt profile successfully saved
:2012-03-23-10:37:52> Logging into Bugzilla at https://bugzilla.redhat.com
:2012-03-23-10:37:54  fatal: XML-RPC(300): RPC failed at server.  The username or password you entered is not valid.
:2012-03-23-10:37:54* (exited with 1)
:2012-03-23-10:38:09> Element 'xsession_errors' saved
:2012-03-23-10:38:09> Smolt profile successfully saved

smolt_data:
:
:
:General
:=================================
:UUID: aef8bf4e-9ec5-4344-8f32-db4ab559ee5c
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4989.00
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 3835
:System Swap: 4095
:Vendor: Dell Inc.
:System: Latitude E6320 01
:Form factor: Laptop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:4136:1170) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4631:33313:4136:1170) pci, sdhci-pci, BASE, N/A
:(32902:294:4136:1170) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1170) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1170) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4136:1170) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4136:1170) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:4136:1170) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7188:4136:1170) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1170) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:130:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6205 AGN
:(32902:7171:4136:1170) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4136:1170) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1170) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1170) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1170) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1170) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 7855238 6148607 6069987 1966080 1800215 1800215
:/dev/sda2 /boot ext4 4096 4096 261467 230331 217224 65536 65258 65258
:/dev/sda5 /home ext4 4096 4096 68888270 52675711 49227353 17244160 17095548 17095548
:

var_log_messages:
:Mar 22 17:05:25 l119 abrt[3815]: Saved core dump of pid 3782 (/usr/bin/plasma-desktop) to /var/spool/abrt/ccpp-2012-03-22-17:05:25-3782 (61440 bytes)
:Mar 22 17:05:38 l119 abrt[3843]: Not dumping repeating crash in '/usr/bin/plasma-desktop'
:Mar 23 10:10:11 l119 abrt[5232]: Saved core dump of pid 3860 (/usr/bin/plasma-desktop) to /var/spool/abrt/ccpp-2012-03-23-10:10:09-3860 (217698304 bytes)
Comment 1 Frans-Jan van Steenbeek 2012-03-23 05:54:03 EDT
Created attachment 572223 [details]
File: backtrace
Comment 2 Frans-Jan van Steenbeek 2012-03-23 05:54:05 EDT
Created attachment 572224 [details]
File: xsession_errors
Comment 3 Frans-Jan van Steenbeek 2012-03-23 05:54:08 EDT
Created attachment 572225 [details]
File: maps
Comment 4 Frans-Jan van Steenbeek 2012-03-23 05:54:10 EDT
Created attachment 572226 [details]
File: dso_list
Comment 5 David M. 2012-03-30 00:16:06 EDT
I was creating a bunch of default panels, and deleting a bunch of default panels.

backtrace_rating: 3
Package: kde-workspace-4.8.1-6.fc16
OS Release: Fedora release 16 (Verne)
Comment 6 David M. 2012-03-30 00:16:11 EDT
Created attachment 573873 [details]
File: backtrace
Comment 7 Fedora End Of Life 2013-01-16 14:49:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 18:29:12 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.